RedeliveryPolicy (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.RedeliveryPolicy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Class RedeliveryPolicy

    java.lang.Object
      org.codehaus.activemq.service.RedeliveryPolicy

public class RedeliveryPolicy
extends Object

Represents the redelivery policy which is used when a rollback() occurs (either JMS or XA). Various options are possible which this policy tries to capture the main variants. If enabled, a typical redelivery policy could be to use a back-off timeout period.

Version:
  $Revision: 1.1 $

Constructor Summary
`RedeliveryPolicy()`

Method Summary
`double` | `getBackOffIncreaseRate()`
`long` | `getInitialRedeliveryTimeout()` Returns the initial redelivery timeout
`int` | `getMaximumRetryCount()` Returns the maximum retry count on a single message before its forwarded to a Dead Letter Queue
`boolean` | `isBackOffMode()` Returns whether or not we use a back-off timeout (increasing the timeout by the `getBackOffIncreaseRate()` each time).
`void` | `setBackOffIncreaseRate(double backOffIncreaseRate)`
`void` | `setBackOffMode(boolean backOffMode)`
`void` | `setInitialRedeliveryTimeout(long initialRedeliveryTimeout)`
`void` | `setMaximumRetryCount(int maximumRetryCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedeliveryPolicy

    public RedeliveryPolicy()

Method Detail

### isBackOffMode

    public boolean isBackOffMode()

  Returns whether or not we use a back-off timeout (increasing the timeout by the `getBackOffIncreaseRate()` each time).

### setBackOffMode

    public void setBackOffMode(boolean backOffMode)

### getInitialRedeliveryTimeout

    public long getInitialRedeliveryTimeout()

  Returns the initial redelivery timeout

### setInitialRedeliveryTimeout

    public void setInitialRedeliveryTimeout(long initialRedeliveryTimeout)

### getMaximumRetryCount

    public int getMaximumRetryCount()

  Returns the maximum retry count on a single message before its forwarded to a Dead Letter Queue

### setMaximumRetryCount

    public void setMaximumRetryCount(int maximumRetryCount)

### getBackOffIncreaseRate

    public double getBackOffIncreaseRate()

### setBackOffIncreaseRate

    public void setBackOffIncreaseRate(double backOffIncreaseRate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.